#include <p18f2550.h>
#include <delays.h>
#include <timers.h>

void high_isr (void);
void tmr2 (void);

#pragma code high_vector_section=0x8
void high_vector (void)
{
_asm GOTO high_isr _endasm
}
#pragma code

#pragma code low_vector_section=0x18
void low_vector (void)
{
_asm GOTO tmr2 _endasm
}
#pragma code

#pragma interruptlow tmr2
void tmr2 (void)
{
  INTCONbits.TMR0IF=0;                    // clear bit IRQ
  PORTCbits.RC1 =~ PORTCbits.RC1;
  Delay10KTCYx(100);
}

#pragma interrupt high_isr
void high_isr(void) {
  INTCONbits.INT0IF = 0;                    // clear bit IRQ
  PORTCbits.RC2 =~ PORTCbits.RC2;
}
#pragma code

void main() {
  // digital inputs - not analogic
  ADCON1 = 0x0F;
  CMCON = 0x07;

  // blinking led for knowing it works
  TRISCbits.TRISC1 = 0 ;
  PORTCbits.RC1 = 1;
  // on/off led
  TRISCbits.TRISC2 = 0 ;
  PORTCbits.RC2 = 1;
  // button
  TRISAbits.TRISA0 = 1 ;
  PORTAbits.RA0 = 0;

  //button 2
  TRISBbits.TRISB0 = 1;
  PORTBbits.RB0 = 0;

 
  INTCONbits.GIEL = 1;
  INTCONbits.GIEH = 1;
  INTCONbits.INT0IE = 1;
  
  RCONbits.IPEN = 1;
  
  OpenTimer0(TIMER_INT_ON & T0_SOURCE_INT & T0_8BIT);

  while (1) {

    // when button pressed, switch led
    if (PORTAbits.RA0) {
      PORTCbits.RC2 =~ PORTCbits.RC2;
    } 

  }

}